.. _domain-api:

Domain API
==========

.. module:: sphinx.domains

.. autoclass:: Domain
   :members:

.. autoclass:: ObjType

.. autoclass:: Index
   :members:

.. module:: sphinx.directives

.. autoclass:: ObjectDescription
   :members:

Python Domain
-------------

.. module:: sphinx.domains.python

.. autoclass:: PythonDomain

   .. autoattribute:: objects
   .. autoattribute:: modules
   .. automethod:: note_object
   .. automethod:: note_module
